org.apache.http.config

## Class MessageConstraints.Builder

- java.lang.Object
- - org.apache.http.config.MessageConstraints.Builder

- Enclosing class:
    MessageConstraints

      public static class MessageConstraints.Builder
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageConstraints` | `build()`
    `MessageConstraints.Builder` | `setMaxHeaderCount(int maxHeaderCount)`
    `MessageConstraints.Builder` | `setMaxLineLength(int maxLineLength)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setMaxLineLength

          public MessageConstraints.Builder setMaxLineLength(int maxLineLength)

    - #### setMaxHeaderCount

          public MessageConstraints.Builder setMaxHeaderCount(int maxHeaderCount)

    - #### build

          public MessageConstraints build()

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.